import { Client } from '@aws-sdk/types';
import { AwsClientStub } from './awsClientStub';
/**
 * Creates and attaches a stub of the `Client#send()` method. Only this single method is mocked.
 * If method is already a stub, it's replaced.
 * @param client `Client` type or instance to replace the method
 * @return Stub allowing to configure Client's behavior
 */
export declare const mockClient: <TClient extends AwsClient>(client: TClient | Constructor<TClient>) => AwsClientStub<TClient>;
declare type Constructor<T> = {
    new (...args: never[]): T;
    prototype: T;
};
declare type AwsClient = Client<any, any, any>;
export {};
